<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <meta name="author" content="KELBERT Paul">
  
  <link rel="shortcut icon" href="img/favicon.ico">
  <title>Problèmes rencontrés - Covid Data +</title>
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato:400,700|Roboto+Slab:400,700|Inconsolata:400,700" />

  <link rel="stylesheet" href="css/theme.css" />
  <link rel="stylesheet" href="css/theme_extra.css" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/styles/github.min.css" />
  
  <script>
    // Current page data
    var mkdocs_page_name = "Probl\u00e8mes rencontr\u00e9s";
    var mkdocs_page_input_path = "problems.md";
    var mkdocs_page_url = null;
  </script>
  
  <script src="js/jquery-2.1.1.min.js" defer></script>
  <script src="js/modernizr-2.8.3.min.js" defer></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/highlight.min.js"></script>
  <script>hljs.initHighlightingOnLoad();</script> 
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
    <div class="wy-side-scroll">
      <div class="wy-side-nav-search">
        <a href="index.html" class="icon icon-home"> Covid Data +</a>
        <div role="search">
  <form id ="rtd-search-form" class="wy-form" action="./search.html" method="get">
      <input type="text" name="q" placeholder="Search docs" title="Type search term here" />
  </form>
</div>
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="index.html">Présentation générale</a>
                    </li>
                </ul>
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="install.html">Manuel d'installation</a>
                    </li>
                </ul>
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="librairies.html">Technologies</a>
                    </li>
                </ul>
                <ul class="current">
                    <li class="toctree-l1 current"><a class="reference internal current" href="problems.html">Problèmes rencontrés</a>
    <ul class="current">
    </ul>
                    </li>
                </ul>
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="use.html">Manuel d'utilisation</a>
                    </li>
                </ul>
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="infos.html">Analyse</a>
                    </li>
                </ul>
      </div>
    </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="index.html">Covid Data +</a>
      </nav>

      
      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="index.html">Docs</a> &raquo;</li>
    
      
    
    <li>Problèmes rencontrés</li>
    <li class="wy-breadcrumbs-aside">
      
        <a href="https://gitlab.com/m9215/paoo/covid/edit/master/docs/problems.md"
          class="icon icon-gitlab"
        > Edit on GitLab</a>
      
    </li>
  </ul>
  
  <hr/>
</div>

          <div role="main">
            <div class="section">
              
                <h1 id="problemes-rencontres">Problèmes rencontrés</h1>
<p>Comme dit sur la page d'accueil de la documentation, il fallait que l'application affiche les données vaccinales de la France. Malheureusement, même si j'ai trouvé l'API correspondante (à retrouver <a href="https://public.opendatasoft.com/explore/dataset/covid19-france-stock-vaccin-departement/api/?disjunctive.dep_code&amp;disjunctive.dep_name&amp;disjunctive.reg_code&amp;disjunctive.reg_name">ici</a>), je n'ai pas réussi à récupérer les données.</p>
<p>J'ai quand même décidé de garder ce système d'API, car je pense qu'il apporte un plus par rapport aux fichiers CSV, qui peuvent rapidement rendre l'application "gourmande" en matière de taille et d'utilisation des ressources du système, car ce type de fichiers peuvent prendre rapidement en taille avec la quantité des données. C'est donc un choix personnel.</p>
<p>De plus, en tant qu'alternant, je n'ai pas eu le temps d'approfondir mes recherches afin de me servir correctement de cette API, par manque de temps (beaucoup de travail en période entreprise).</p>
              
            </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="use.html" class="btn btn-neutral float-right" title="Manuel d'utilisation">Next <span class="icon icon-circle-arrow-right"></span></a>
      
      
        <a href="librairies.html" class="btn btn-neutral" title="Technologies"><span class="icon icon-circle-arrow-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <!-- Copyright etc -->
    
      <p>© KELBERT Paul 2022</p>
    
  </div>

  Built with <a href="https://www.mkdocs.org/">MkDocs</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>.
</footer>
      
        </div>
      </div>

    </section>

  </div>

  <div class="rst-versions" role="note" aria-label="versions">
  <span class="rst-current-version" data-toggle="rst-current-version">
    
        <span>
          <a href="https://gitlab.com/m9215/paoo/covid/" class="icon icon-gitlab" style="color: #fcfcfc"> GitLab</a>
        </span>
    
    
      <span><a href="librairies.html" style="color: #fcfcfc">&laquo; Previous</a></span>
    
    
      <span><a href="use.html" style="color: #fcfcfc">Next &raquo;</a></span>
    
  </span>
</div>
    <script>var base_url = '.';</script>
    <script src="js/theme_extra.js" defer></script>
    <script src="js/theme.js" defer></script>
      <script src="search/main.js" defer></script>
    <script defer>
        window.onload = function () {
            SphinxRtdTheme.Navigation.enable(true);
        };
    </script>

</body>
</html>
